
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>C#中正则表达式的3种匹配模式_C#教程 / iVAN</title>

    <meta name="description" content="C#中正则表达式的3种匹配模式_C#教程 在C#中,我们一般使用Regex类来表示一个正则表达式.一般正则表达式引擎支持以下3种匹配模式:单行模式(Singleline).多行模式(Multiline)与忽略大小写(IgnoreCase). 1. 单行模式(Singleline) MSDN定义:更改点 (.) 的含义,使它与每一个字符匹配(而不是与除 \n 之外的每个字符匹配). 使用单行模式的典型场景是获取网页源码中的信息. 示例: 我们使用WebBrowser控件,从http://www.xxx.com/1.htm上获取了如下HTM">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">C#中正则表达式的3种匹配模式_C#教程</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>在C#中，我们一般使用Regex类来表示一个正则表达式。一般正则表达式引擎支持以下3种匹配模式：单行模式(Singleline)、多行模式(Multiline)与忽略大小写(IgnoreCase)。</p>
<p><strong>1. 单行模式(Singleline)</strong><br />
MSDN定义：更改点 (.) 的含义，使它与每一个字符匹配（而不是与除 \n 之外的每个字符匹配）。<br />
使用单行模式的典型场景是获取网页源码中的信息。</p>
<p><strong>示例：<br /></strong></p>
<p>我们使用WebBrowser控件，从http://www.xxx.com/1.htm上获取了如下HTML源码，它存储在变量str中：</p>
<p>&lt;html&gt;<br />
&lt;body&gt;<br />
&lt;div&gt;<br />
Line 1<br />
Line 2<br />
&lt;/div&gt;<br />
&lt;/body&gt;<br />
&lt;/html&gt;</p>
<p>我们想把div标签以及其中的内容提取出来，编写代码如下：</p>
<pre>
string pattern = @"&lt;div&gt;.*&lt;/div&gt;";
Regex regex = new Regex(pattern);
if (regex.IsMatch(str))
  Console.WriteLine(regex.Match(str).Value);
else
  Console.WriteLine("Mismatch!");</pre>
<p>//结果为：Mismatch!</p>
<p><strong>错误分析：</strong></p>
<p>一般认为点符号(.)是匹配任意单个字符的，而(.*)就是匹配任意多个字符。但实际上点符号不能匹配换行符。在Windows中与它等效的表达式为[^\r\n]。<br />
而我们从网站上获取的HTML源码，极少有不换行的。这时候单行模式派上用场了，它可以改变点符号的意义。修改regex实例的构造函数，用RegexOptions.Singleline来声明使用单行模式：</p>
<pre>
string pattern = @"&lt;div&gt;.*&lt;/div&gt;";
Regex regex = new Regex(pattern, RegexOptions.Singleline);
if (regex.IsMatch(str))
  Console.WriteLine(regex.Match(str).Value);
else
  Console.WriteLine("Mismatch!");</pre>
<p>/*<br />
结果为：<br />
&lt;div&gt;<br />
Line 1<br />
Line 2<br />
&lt;/div&gt;<br />
*/</p>
<p>单行模式的嵌入修饰符：</p>
<p>我们可以直接在正则表达式中嵌入单行模式：</p>
<p>(?s)&lt;div&gt;.*&lt;/div&gt;</p>
<p>(?s)修饰符说明，其后面的表达式采用单行模式。所以使用时请不要将它放在末尾。另外可以使用(?-s)关闭单行模式。</p>
<p>注意：嵌入模式的优先级要高于Regex类的RegexOptions设置，所以使用了(?s)后，无论是否使用RegexOptions.Singleline，均按照单行模式解析。</p>
<p><strong>2. 多行模式(Multiline)</strong></p>
<p>MSDN定义：更改 ^ 和 $ 的含义，使它们分别在任意一行的行首和行尾匹配，而不仅仅在整个字符串的开头和结尾匹配。</p>
<p><strong>示例：</strong></p>
<p>有一个文本文件，它的每一行是一个用户名，将文件读入变量str中进行处理。其内容如下：</p>
<p>二十四画生<br />
TerryLee<br />
莫相会<br />
Dflying Chen<br />
Rainy</p>
<p>借用博客园各位前辈的大名:)</p>
<p>我们想找出一个使用英文字母开头的用户名，编写代码如下：</p>
<pre>
string pattern = @"^[A-Za-z]+.*";
Regex regex = new Regex(pattern);
if (regex.IsMatch(str))
  Console.WriteLine(regex.Match(str).Value);
else
  Console.WriteLine("Mismatch!");</pre>
<p>//结果为：Mismatch!</p>
<p><strong>错误分析：<br /></strong></p>
<p>(^)是字符串的起始锚定，str的第一个字符是一个中文字，所以匹配不上。我们就可以使用多行模式来改变(^)的含义，使它匹配每一行的起始，而不是整个字符串的起始。</p>
<p>更改代码如下：</p>
<pre>
string pattern = @"^[A-Za-z]+.*";
Regex regex = new Regex(pattern, RegexOptions.Multiline);
if (regex.IsMatch(str))
  Console.WriteLine(regex.Match(str).Value);
else
  Console.WriteLine("Mismatch!");</pre>
<p>//结果为：TerryLee</p>
<p>同时，多行模式也会改变($)的含义，使它匹配每一行的结尾，而不是整个字符串的结尾。</p>
<p>与(^)和($)不同的是，(\A)和(\Z)并不受多行模式的影响，永远匹配整个字符串的起始和结尾。</p>
<p>多行模式的嵌入修饰符：(?m)与(?-m)</p>
<p><strong>3. 忽略大小写(IgnoreCase)</strong></p>
<p>MSDN定义：指定不区分大小写的匹配。</p>
<p>这个模式很容易理解，它认为大小写字符是相同的。我们仍以上例来说明。</p>
<p><strong>示例：</strong></p>
<pre>
string pattern = @"^[a-z]+.*";
Regex regex = new Regex(pattern, RegexOptions.Multiline | RegexOptions.IgnoreCase);
if (regex.IsMatch(str))
  Console.WriteLine(regex.Match(str).Value);
else
  Console.WriteLine("Mismatch!");</pre>
<p>//结果为：TerryLee</p>
<p><strong>分析：</strong>请注意这次使用的正则表达式，我们并没有写入大写字母，但却匹配了以大写字母开头的名字，这就是忽略大小写的效果。</p>
<p>忽略大小写的嵌入修饰符：(?i)与(?-i)</p>
<p><strong>总结：<br /></strong></p>
<p>最后我们用一个表格来总结一下这三个模式</p>
<table>
<tbody>
<tr>
<th>定义</th>
<th>影响的表达式</th>
<th>RegexOptions枚举</th>
<th>嵌入标识符</th>
</tr>
<tr>
<td>单行模式</td>
<td>更改点 (.) 的含义，使它与每一个字符匹配（而不是与除 \n 之外的每个字符匹配）。</td>
<td>Singleline</td>
<td>(?s)</td>
</tr>
<tr>
<td>多行模式</td>
<td>更改 ^ 和 $ 的含义，使它们分别在任意一行的行首和行尾匹配，而不仅仅在整个字符串的开头和结尾匹配。</td>
<td>Multiline</td>
<td>(?m)</td>
</tr>
<tr>
<td>忽略大小写</td>
<td>指定不区分大小写的匹配。</td>
<td>IgnoreCase</td>
<td>(?i)</td>
</tr>
</tbody>
</table>
<p>以上是小编为您精心准备的的内容，在的博客、问答、公众号、人物、课程等栏目也有的相关内容，欢迎继续使用右上角搜索按钮进行搜索c#<br />
                                    正则<br />
                                    c站、c语言、cf、ch、c罗，以便于您获取更多的相关知识。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-29 07:20:05</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%ad%a3%e5%88%99/" title="正则">正则</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>C#中正则表达式的3种匹配模式_C#教程的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pnnWOkp.html" rel="bookmark">JS中正则表达式只有3种匹配模式&lpar;没有单行模式&rpar;详解&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				JS正则表达式对象模式仅有如下三种:  g (全文查找出现的所有 pattern) i (忽略大小写) m (多行查找) 即没有单行匹配模式,Singleline(单行模式):更改.的含义,使它与每一个字符匹配(包括换行符\n). 如java中 String regex = &quot;(?s)(?&lt;=interface).{0,500}(shutdown)&quot;;---------&quot;.&quot;表示在一行. 但可以采用[\d\D]或[\w\W]或[\s\S]或(.|\s)*?来解			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/1Mv69aM.html" rel="bookmark">正则表达式的3种匹配模式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				正则表达式是处理字符串的常用工具.在C#中,我们一般使用Regex类来表示一个正则表达式.一般正则表达式引擎支持以下3种匹配模式:单行模式(Singleline).多行模式(Multiline)与忽略大小写(IgnoreCase). 1. 单行模式(Singleline)MSDN定义:更改点 (.) 的含义,使它与每一个字符匹配(而不是与除 \n 之外的每个字符匹配).使用单行模式的典型场景是获取网页源码中的信息.示例:我们使用WebBrowser控件,从http://www.xxx.com/1			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MR1RRxb.html" rel="bookmark">简单介绍Android中Activity的四种启动模式&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在Android中每个界面都是一个Activity,切换界面操作其实是多个不同Activity之间的实例化操作.在Android中Activity的启动模式决定了Activity的启动运行方式. Activity有四种启动模式: 1. standard,默认的启动模式,只要激活Activity,就会创建一个新的实例,并放入任务栈中,这样任务栈中可能同时有一个Activity的多个实例. 2. singleTop,激活Activity时,如果栈顶是这个Activity,就不会创建新的实例:如果栈顶			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pL2e3Zb.html" rel="bookmark">Android编程中Activity的四种启动模式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了Android编程中Activity的四种启动模式.分享给大家供大家参考,具体如下: Activity启动方式有四种,分别是: standard singleTop singleTask singleInstance 可以根据实际的需求为Activity设置对应的启动模式,从而可以避免创建大量重复的Activity等问题. 设置Activity的启动模式,只需要在AndroidManifest.xml里对应的&lt;activity&gt;标签设置android:launchMode属性,例			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pP2j3Zb.html" rel="bookmark">简单介绍Android中Activity的四种启动模式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在Android中每个界面都是一个Activity,切换界面操作其实是多个不同Activity之间的实例化操作.在Android中Activity的启动模式决定了Activity的启动运行方式. Activity有四种启动模式: 1. standard,默认的启动模式,只要激活Activity,就会创建一个新的实例,并放入任务栈中,这样任务栈中可能同时有一个Activity的多个实例. 2. singleTop,激活Activity时,如果栈顶是这个Activity,就不会创建新的实例:如果栈顶			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zDWArWp.html" rel="bookmark">STM32中GPIO的8种工作模式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.推挽输出:可以输出高.低电平,连接数字器件:推挽结构一般是指两个三极管分别受两个互补信号的控制,总是在一个三极管导通的时候另一个截止.高低电平由IC的电源决定.形象点解释:推挽,就是有推有拉,任何时候IO口的电平都是确定的,不需要外接上拉或者下拉电阻.         推挽电路是两个参数相同的三极管或MOSFET,以推挽方式存在于电路中,各负责正负半周的波形放大任务,电路工作时,两只对称的功率开关管每次只有一个导通,所以导通损耗小.效率高.输出既可以向负载灌电流,也可以从负载抽取电流.推拉式			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/YbKV1az.html" rel="bookmark">Delphi中正则表达式语法&lpar;9&rpar; 临界匹配</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				//匹配右边 var reg: TPerlRegEx; begin reg := TPerlRegEx.Create(nil); reg.Subject := 'Delphi 6; Delphi 7; Delphi 2007; Delphi Net'; reg.RegEx := 'Delphi (?=2007)'; // ?= reg.Replacement := '◆'; reg.ReplaceAll; ShowMessage(reg.Subject); //返回: Delphi 6; Del			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mxg4vjb.html" rel="bookmark">asp&period;net 中如何动态显示两种不同模式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 根据id不同切换的也不同 解决方案 解决方案二:你的意思是说根据不同用户跳转到不同页面?解决方案三:就显示两种方式一种是列表一种是图片查询显示时切换这两种模式解决方案四:动态选择css文件			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/yMA5e3M.html" rel="bookmark">Delphi中正则表达式语法&lpar;6&rpar; 贪婪匹配与非贪婪匹配</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				//贪婪匹配 var reg: TPerlRegEx; begin reg := TPerlRegEx.Create(nil); reg.Subject := '&lt;html&gt;&lt;head&gt;&lt;title&gt;标题 &lt;/title&gt;&lt;/head&gt;&lt;body&gt;内容 &lt;/body&gt;&lt;/html&gt;'; reg.RegEx := '&lt;.*&gt;'; //将会全部匹配, 因为两头分别是: &lt; 和 &gt; reg.R			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/7b29x4z.html" rel="bookmark" class="title">不区分大小写的 javascript indexOf</a>
					<div>
						javascript|大小写 看看我这个,兼容原来的 indexOf &lt;script language=javascript&gt;/*作者:阿牛(牛昆亮) QQ:273352165 MSN:n ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qMqGokz.html" rel="bookmark" class="title">ASP&period;Net中两种利用CSS实现多界面的方法</a>
					<div>
						asp.net|css 通过使页面动态加载不同CSS实现多界面 方法一: &lt;%@page language=&quot;C#&quot;%&gt; &lt;%@import namespace= ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMgnr1b.html" rel="bookmark" class="title">Flash动画技巧之如何掌握引导层</a>
					<div>
						flash动画|技巧     问题:作移动渐变动画的时候,使用了引导层.但是我的元件为什么没有按照引导线去运动,而是从开始帧的位置直接移动到结束帧的位置? 解决思路:      引导层的作用是限制元件 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/gpkQmrb.html" rel="bookmark" class="title">遮罩与遮盖同时出现的图片切换-栅格化切换</a>
					<div>
						先看效果: 这是在第一种图像切换的基础上,添加一些表面特效而做出来的,方法也并不复杂,只要再做一个图层,放在最上面,内容跟遮罩层一样就行了. 具体做法: 1.打开上一次做的FLA文件,另存为一个新的文 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/4MYlQlb.html" rel="bookmark" class="title">掌握ADO&period;NET的十个热门技巧</a>
					<div>
						ado|技巧 ADO.NET提供了一个统一的编程模式和一组公用的类来进行任何类型的数据访问,而不管你用何种语言来开发代码.ADO.NET是全新的,但又与ADO尽可能保持一致,它使编程模式从一个客户端/ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXBW5yb.html" rel="bookmark" class="title">Oracle execute plan原理及实例</a>
					<div>
						oracle执行计划对我们并不陌生,往往我们在工作中只会在发生性能瓶颈时看一下,没有想过执行计划是如何生成的.下面用实例来模拟数据访问方式和数据处理方式的演变. 1.执行计划-通过表访问数据  TAB ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8jaDBb.html" rel="bookmark" class="title">Ruby初体验之搭建运行环境</a>
					<div>
						学习一种语言,我想最应该先了解的就是怎么去搭建这种语言的运行环境.如果语言的运行环境我们知道了,再找到符合以往开发习惯的IDE工具,再看一看入门的例子,再学一学语言相关的知识.这样的时候,一种语言就应 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0Pdn8M.html" rel="bookmark" class="title">Windows 7开发：安装程序检测</a>
					<div>
						目标 在这个试验中,您将学习到如何 : • 在 Windows Vista 以 及更新的版本中,确定关于安装侦测的问题. • 修复安装侦测问题 系统要求 您必须拥有下面的环境以完成这个 实验 : •  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M62DmJM.html" rel="bookmark" class="title">Photoshop给美女脸部加上鲜艳的彩妆</a>
					<div>
						Photoshop给美女脸部加上鲜艳的彩妆 彩妆的添加跟图片上色的原理基本一致,都是用选区控制好需要加色的部分,然后填色再适当修改图层混合模上色.不过彩妆制作难度稍微大一点,需要考虑总体的彩妆搭配:如 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1RV7dp.html" rel="bookmark" class="title">华为云服务客户端怎么使用</a>
					<div>
						  1.查看华为云服务是否开启,点击桌面上的[设置]图标. 2.选择[全部设置]选项卡,再点击[华为云服务] 3.(1)看到各种云服务是否已经开启,您可以控制开启和关闭. (2)[手机找回]下方有个网 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxWlWQb.html" rel="bookmark" class="title">去除Windows8&period;1 Update电源按钮</a>
					<div>
						  去除Windows8.1 Update电源按钮小妙招: 测试平台:Win8.1 2014 Update RTM分支(16610)版本 (由于涉及注册表修改,普通用户谨慎操作) 1.备份注册表,例如 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGJGnop.html" rel="bookmark" class="title">不得不知的U盘扩容知识</a>
					<div>
						  U盘扩容,主要是针对目前市场上的U盘造假商而言,通过技术手段,让一个小容量的U盘在PC机上显示出超过其本身存储容量的U盘,并以高价销售.例如,一个 256 M 的U盘可以通过技术手段扩容到 8 G ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRwxgep.html" rel="bookmark" class="title">【SSH项目实战】国税协同平台-3&period;资源文件分类&amp;amp&semi;amp&semi;log4j&amp;amp&semi;amp&semi;抽取BaseAction</a>
					<div>
						上次我们搭建了SSH框架的环境,然后做了单元测试,下面我们继续来完善我们工厂的准备工作. 3.1资源文件分类 (1)将配置文件归类到新建config文件夹: (2)源代码目录按照功能模块进行划分:cn ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo7naXb.html" rel="bookmark" class="title">Android--控件属性汇总</a>
					<div>
						控件属性 Android属性 Android功能强大界面华丽但是众多的布局属性就害苦了开发者下面这篇文章结合了网上不少资料 第一类:属性值为true或false [html] view plain c ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b24gZZp.html" rel="bookmark" class="title">国内组装电脑第一案开庭：是否违规执法成焦点</a>
					<div>
						本报记者 黄乔 广东肇庆报道 摆放7台组装电脑被罚7万元,11月18日,备受业界关注的&quot;国内组装电脑第一案&quot;在广东肇庆市端州区法院正式开庭.18日.19日.20日连续三天三次开庭, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxoarQb.html" rel="bookmark" class="title">UITextField的代理方法：textField&colon;shouldChangeCharactersInRange&colon;replacementString</a>
					<div>
						原文链接:http://www.cnblogs.com/zhanggui/p/6101813.html 这个我在开发的过程中用到的次数最多,因此这里就简单对其进行分析.先看看Command+点击 弹出 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW26KGb.html" rel="bookmark" class="title">帮我看下maven项目是否安装正确，这是mvn -v，测试结果</a>
					<div>
						问题描述 帮我看下maven项目是否安装正确,这是mvn -v,测试结果 比对了下,测试结果主要是最后面一句与正确的不同,我的是family:&quot;dos&quot;:正确的是family:&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRD88Kz.html" rel="bookmark" class="title">【SSH系列】初识spring&plus;入门demo</a>
					<div>
						       学习过了hibernate,也就是冬天,经过一个冬天的冬眠,当春风吹绿大地,万物复苏,我们迎来了spring,在前面的一系列博文中,小编介绍hibernate的相关知识,接下来的博文中, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGEP9eM.html" rel="bookmark" class="title">ajax 组件自动放弃和延时控制下载</a>
					<div>
						&lt;script&gt; /* 版权:伟大的SB作者是群27521907的SB群猪 以上!删除者是猪! 大概功能,执行某个组试下载, 如果多个同组执行下载,会最后执行最后一个请求. 并且对不同时间 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boKnqBb.html" rel="bookmark" class="title">android properties-android设置整个系统的日期显示格式</a>
					<div>
						问题描述 android设置整个系统的日期显示格式 最近在更改android4.4.4下的settings的一部分源码,现在需要设置整个系统的日期显示格式,求大神帮助 解决方案 android 根据系 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3r61Wz.html" rel="bookmark" class="title">《iOS 8开发指南》&mdash;&mdash;导读</a>
					<div>
						目 录 前言 第1章 iOS开发入门 第2章 Objective-C语言基础 第3章 Swift语言基础 第4章 Cocoa Touch框架 第5章 Xcode Interface Builder界面 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ba7X8np.html" rel="bookmark" class="title">ehcache-EHCache报出java&period;lang&period;IllegalMonitorStateException异常</a>
					<div>
						问题描述 EHCache报出java.lang.IllegalMonitorStateException异常 我写的代码如下所示,其中EHCacheService.putIn是封装了EHCache的p ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjwwXWM.html" rel="bookmark" class="title">晨亮：你还在自诩网络推广方法的万能吗？</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 晨亮写作这个文章的缘由是在布童网中 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrqAmmb.html" rel="bookmark" class="title">移动商街空间SaaS移动商街全程商务</a>
					<div>
						问题描述 手机移动移动商街经销商唯一前提条件商务也对,移动商街通讯社有限公司任何工作人员域名唯一,域名提供商亚运互联网升值工商局移动商街.东莞市移动抱上具有雷军网络实名,一旦实名集团传播速度有限公司网 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeoDR7M.html" rel="bookmark" class="title">隔墙有耳：利用电磁信号窃取目标信息项目代码已开源</a>
					<div>
						近日一名计算机技术专家William Entriken发明了一种新的方法,利用该方法可以让计算机发送无线信号. 新思路新方法 William Entriken创建了一个C library(库),即使计 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvnDg9M.html" rel="bookmark" class="title">突破性充电器成功现世  手机全充满只需30秒</a>
					<div>
						&amp;http://www.aliyun.com/zixun/aggregation/37954.html&quot;&gt;nbsp;      以色列创业公司StoreDot表示他们研制了一种 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlLPV8M.html" rel="bookmark" class="title">asp&period;net转winform了，舍不得还要转</a>
					<div>
						问题描述 毕业马上就2年了,一直在做asp.net,这几天准备去新公司,转做winform了,是一家国际跨国公司,应该前五名,做医疗系统,有点舍不得,毕竟asp.net做了这么久,自信还是不错的,在那 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJOxdqb.html" rel="bookmark" class="title">php面象对象数据库操作类实例&lowbar;php技巧</a>
					<div>
						本文实例讲述了php面象对象数据库操作类.分享给大家供大家参考. 具体实现代码如下: 复制代码 代码如下: //此处构造一个数据库操作类,封装所有数据库操作 //可以扩展便于后台管理程序的使用 Cla ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlmDPRp.html" rel="bookmark" class="title">再谈javascript图片预加载技术&lpar;详细演示&rpar;&lowbar;javascript技巧</a>
					<div>
						而本文所提到的预加载技术主要是让javascript快速获取图片头部数据的尺寸. 一段典型的使用预加载获取图片大小的例子: 复制代码 代码如下: var imgLoad = function (url ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdmnrxz.html" rel="bookmark" class="title">物联网还是&OpenCurlyDoubleQuote;勿联网&rdquo;？对物联网安全隐患的反思</a>
					<div>
						在美国总统奥巴马上任后不久与美国工商业领袖举行的一次&quot;圆桌会议&quot;上,作为仅有的两名代表之一,IBM首席执行官彭明盛提出了&quot;智慧地球&quot;战略,建议新政府投资新一代的 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 12 q. 0.025 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
